HRcEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui.event
Class HRcEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              java.awt.event.ComponentEvent
                  java.awt.event.InputEvent
                      java.awt.event.KeyEvent
                          org.havi.ui.event.HRcEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HKeyEvent, OCRcEvent

    public class HRcEvent

extends KeyEvent

The remote control event class.

The presence or absence of these keys and their desired representation is provided by the `HRcCapabilities` class.

Note that it is an implementation option if remote control key events are repeated.

Instances of `HRcEvent` are reported through the normal `java.awt` event mechanism Note that the reception of these events by a `java.awt.Component` is dependent on it having `java.awt.event.KeyEvent` events enabled.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
None.

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  Serialized Form

Field Summary
`static int` | `RC_FIRST` Deprecated. The value of this field is useless, since it mixes event ids and key codes. It does not reflect any of the remote control key codes listed in this class.
`static int` | `RC_LAST` Deprecated.
`static int` | `VK_BALANCE_LEFT` The 'balance left' key code - moves the audio balance to the left.
`static int` | `VK_BALANCE_RIGHT` The 'balance right' key code - moves the audio balance to the right.
`static int` | `VK_BASS_BOOST_DOWN` The 'bass boost down' key code - decreases the audio amplifier bass boost.
`static int` | `VK_BASS_BOOST_UP` The 'bass boost up' key code - increases the audio amplifier bass boost.
`static int` | `VK_CHANNEL_DOWN` The 'channel down' key code.
`static int` | `VK_CHANNEL_UP` The 'channel up' key code.
`static int` | `VK_CLEAR_FAVORITE_0` The 'clear favorite 0' key code.
`static int` | `VK_CLEAR_FAVORITE_1` The 'clear favorite 1' key code.
`static int` | `VK_CLEAR_FAVORITE_2` The 'clear favorite 2' key code.
`static int` | `VK_CLEAR_FAVORITE_3` The 'clear favorite 3' key code.
`static int` | `VK_COLORED_KEY_0` Colored key 0 key code.
`static int` | `VK_COLORED_KEY_1` Colored key 1 key code.
`static int` | `VK_COLORED_KEY_2` Colored key 2 key code.
`static int` | `VK_COLORED_KEY_3` Colored key 3 key code.
`static int` | `VK_COLORED_KEY_4` Colored key 4 key code.
`static int` | `VK_COLORED_KEY_5` Colored key 5 key code.
`static int` | `VK_DIMMER` The 'device dimmer' key code adjusts illumination of the device.
`static int` | `VK_DISPLAY_SWAP` The 'display swap' key code - swaps displayed video sources.
`static int` | `VK_EJECT_TOGGLE` The 'eject / insert media' key code.
`static int` | `VK_FADER_FRONT` The 'fader front' key code - moves the audio fader to the front.
`static int` | `VK_FADER_REAR` The 'fader rear' key code - moves the audio fader to the rear.
`static int` | `VK_FAST_FWD` The 'fast forward (media)' key code.
`static int` | `VK_GO_TO_END` The '(send media) to end position' key code.
`static int` | `VK_GO_TO_START` The 'go (send media) to start position' key code.
`static int` | `VK_GUIDE` The 'guide' key code - indicates a user request for a program guide (toggle).
`static int` | `VK_INFO` The 'info' key code - indicates that the user has requested additional information (toggle).
`static int` | `VK_MUTE` The 'mute' key code - mute audio output
`static int` | `VK_PINP_TOGGLE` The 'picture in picture toggle' key code - turns picture in picture mode on or off.
`static int` | `VK_PLAY` The 'play (media)' key code.
`static int` | `VK_PLAY_SPEED_DOWN` The 'decrease (media) play speed' key code.
`static int` | `VK_PLAY_SPEED_RESET` The 'set (media) play speed to normal' key code.
`static int` | `VK_PLAY_SPEED_UP` The 'increase (media) play speed' key code.
`static int` | `VK_POWER` The 'device power' key code turns on or off the delegated device.
`static int` | `VK_RANDOM_TOGGLE` The 'toggle random (media) play' key code.
`static int` | `VK_RECALL_FAVORITE_0` The 'recall favorite 0' key code.
`static int` | `VK_RECALL_FAVORITE_1` The 'recall favorite 1' key code.
`static int` | `VK_RECALL_FAVORITE_2` The 'recall favorite 2' key code.
`static int` | `VK_RECALL_FAVORITE_3` The 'recall favorite 3' key code.
`static int` | `VK_RECORD` The 'record (to media)' key code.
`static int` | `VK_RECORD_SPEED_NEXT` The 'select next (media) record speed' key code.
`static int` | `VK_REWIND` The 'rewind (media)' key code.
`static int` | `VK_SCAN_CHANNELS_TOGGLE` The 'scan channels toggle' key code - turns channel scanning on or off.
`static int` | `VK_SCREEN_MODE_NEXT` The 'screen mode next' key code - advances the display screen mode.
`static int` | `VK_SPLIT_SCREEN_TOGGLE` The 'split screen toggle' key code - turns split screen on or off.
`static int` | `VK_STOP` The 'stop (media)' key code.
`static int` | `VK_STORE_FAVORITE_0` The 'store current setting as favorite 0' key code.
`static int` | `VK_STORE_FAVORITE_1` The 'store current setting as favorite 1' key code.
`static int` | `VK_STORE_FAVORITE_2` The 'store current setting as favorite 2' key code.
`static int` | `VK_STORE_FAVORITE_3` The 'store current setting as favorite 3' key code.
`static int` | `VK_SUBTITLE` The 'subtitle' key code - indicates a user request for subtitling (toggle).
`static int` | `VK_SURROUND_MODE_NEXT` The 'surround mode next' key code - advances audio amplifier surround mode.
`static int` | `VK_TELETEXT` The 'teletext' key code - indicates a user request for a teletext service (toggle).
`static int` | `VK_TRACK_NEXT` The '(send media) to next track' key code.
`static int` | `VK_TRACK_PREV` The '(send media) to previous track' key code.
`static int` | `VK_VIDEO_MODE_NEXT` The 'video mode next' key code - advances the display video mode.
`static int` | `VK_VOLUME_DOWN` The 'volume down' key code - decreases audio amplifier volume.
`static int` | `VK_VOLUME_UP` The 'volume up' key code - increases audio amplifier volume.
`static int` | `VK_WINK` The 'device wink' key code is used to indicated that the device should identify itself in some manner, for example, audibly or visually.

Fields inherited from class java.awt.event.KeyEvent
`CHAR_UNDEFINED, KEY_FIRST, KEY_LAST, KEY_PRESSED, KEY_RELEASED, KEY_TYPED, VK_0, VK_1, VK_2, VK_3, VK_4, VK_5, VK_6, VK_7, VK_8, VK_9, VK_A, VK_ACCEPT, VK_ADD, VK_AGAIN, VK_ALL_CANDIDATES, VK_ALPHANUMERIC, VK_ALT, VK_ALT_GRAPH, VK_AMPERSAND, VK_ASTERISK, VK_AT, VK_B, VK_BACK_QUOTE, VK_BACK_SLASH, VK_BACK_SPACE, VK_BRACELEFT, VK_BRACERIGHT, VK_C, VK_CANCEL, VK_CAPS_LOCK, VK_CIRCUMFLEX, VK_CLEAR, VK_CLOSE_BRACKET, VK_CODE_INPUT, VK_COLON, VK_COMMA, VK_COMPOSE, VK_CONTROL, VK_CONVERT, VK_COPY, VK_CUT, VK_D, VK_DEAD_ABOVEDOT, VK_DEAD_ABOVERING, VK_DEAD_ACUTE, VK_DEAD_BREVE, VK_DEAD_CARON, VK_DEAD_CEDILLA, VK_DEAD_CIRCUMFLEX, VK_DEAD_DIAERESIS, VK_DEAD_DOUBLEACUTE, VK_DEAD_GRAVE, VK_DEAD_IOTA, VK_DEAD_MACRON, VK_DEAD_OGONEK, VK_DEAD_SEMIVOICED_SOUND, VK_DEAD_TILDE, VK_DEAD_VOICED_SOUND, VK_DECIMAL, VK_DELETE, VK_DIVIDE, VK_DOLLAR, VK_DOWN, VK_E, VK_END, VK_ENTER, VK_EQUALS, VK_ESCAPE, VK_EURO_SIGN, VK_EXCLAMATION_MARK, VK_F, VK_F1, VK_F10, VK_F11, VK_F12, VK_F13, VK_F14, VK_F15, VK_F16, VK_F17, VK_F18, VK_F19, VK_F2, VK_F20, VK_F21, VK_F22, VK_F23, VK_F24, VK_F3, VK_F4, VK_F5, VK_F6, VK_F7, VK_F8, VK_F9, VK_FINAL, VK_FIND, VK_FULL_WIDTH, VK_G, VK_GREATER, VK_H, VK_HALF_WIDTH, VK_HELP, VK_HIRAGANA, VK_HOME, VK_I, VK_INPUT_METHOD_ON_OFF, VK_INSERT, VK_INVERTED_EXCLAMATION_MARK, VK_J, VK_JAPANESE_HIRAGANA, VK_JAPANESE_KATAKANA, VK_JAPANESE_ROMAN, VK_K, VK_KANA, VK_KANA_LOCK, VK_KANJI, VK_KATAKANA, VK_KP_DOWN, VK_KP_LEFT, VK_KP_RIGHT, VK_KP_UP, VK_L, VK_LEFT, VK_LEFT_PARENTHESIS, VK_LESS, VK_M, VK_META, VK_MINUS, VK_MODECHANGE, VK_MULTIPLY, VK_N, VK_NONCONVERT, VK_NUM_LOCK, VK_NUMBER_SIGN, VK_NUMPAD0, VK_NUMPAD1, VK_NUMPAD2, VK_NUMPAD3, VK_NUMPAD4, VK_NUMPAD5, VK_NUMPAD6, VK_NUMPAD7, VK_NUMPAD8, VK_NUMPAD9, VK_O, VK_OPEN_BRACKET, VK_P, VK_PAGE_DOWN, VK_PAGE_UP, VK_PASTE, VK_PAUSE, VK_PERIOD, VK_PLUS, VK_PREVIOUS_CANDIDATE, VK_PRINTSCREEN, VK_PROPS, VK_Q, VK_QUOTE, VK_QUOTEDBL, VK_R, VK_RIGHT, VK_RIGHT_PARENTHESIS, VK_ROMAN_CHARACTERS, VK_S, VK_SCROLL_LOCK, VK_SEMICOLON, VK_SEPARATER, VK_SEPARATOR, VK_SHIFT, VK_SLASH, VK_SPACE, VK_SUBTRACT, VK_T, VK_TAB, VK_U, VK_UNDEFINED, VK_UNDERSCORE, VK_UNDO, VK_UP, VK_V, VK_W, VK_X, VK_Y, VK_Z`

Fields inherited from class java.awt.event.InputEvent
`ALT_DOWN_MASK, ALT_GRAPH_DOWN_MASK, ALT_GRAPH_MASK, ALT_MASK, BUTTON1_DOWN_MASK, BUTTON1_MASK, BUTTON2_DOWN_MASK, BUTTON2_MASK, BUTTON3_DOWN_MASK, BUTTON3_MASK, CTRL_DOWN_MASK, CTRL_MASK, META_DOWN_MASK, META_MASK, SHIFT_DOWN_MASK, SHIFT_MASK`

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK`

Constructor Summary
`HRcEvent(Component source, int id, long when, int modifiers, int keyCode, char keyChar)` Constructs an `HRcEvent` object with the specified source component, type, modifiers and key.

Method Summary

Methods inherited from class java.awt.event.KeyEvent
`getKeyChar, getKeyCode, getKeyModifiersText, getKeyText, isActionKey, paramString, setKeyChar, setKeyCode, setSource`

Methods inherited from class java.awt.event.InputEvent
`consume, getModifiers, getModifiersEx, getModifiersExText, getWhen, isAltDown, isAltGraphDown, isConsumed, isControlDown, isMetaDown, isShiftDown`

Methods inherited from class java.awt.event.ComponentEvent
`getComponent`

Methods inherited from class java.awt.AWTEvent
`getID, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RC_FIRST

    public static final int RC_FIRST

  Deprecated. The value of this field is useless, since it mixes event ids and key codes. It does not reflect any of the remote control key codes listed in this class.
  Marks the first integer id for the range of remote control key codes.

  See Also:
    Constant Field Values

### VK_COLORED_KEY_0

    public static final int VK_COLORED_KEY_0

  Colored key 0 key code.

  Up to six colored soft keys can be included on a remote control. These are optional, and must be identified with a color. If implemented, these keys are to be oriented from left to right, or from top to bottom in ascending order.

  The application can determine how many colored keys are implemented, and what colors are to be used, so that the application can match the controls, by using the getRepresentation method in the HRcCapabilities class.

  See Also:
    `VK_COLORED_KEY_1`, `VK_COLORED_KEY_2`, `VK_COLORED_KEY_3`, `VK_COLORED_KEY_4`, `VK_COLORED_KEY_5`, Constant Field Values

### VK_COLORED_KEY_1

    public static final int VK_COLORED_KEY_1

  Colored key 1 key code.

  See Also:
    `VK_COLORED_KEY_0`, Constant Field Values

### VK_COLORED_KEY_2

    public static final int VK_COLORED_KEY_2

  Colored key 2 key code.

  See Also:
    `VK_COLORED_KEY_0`, Constant Field Values

### VK_COLORED_KEY_3

    public static final int VK_COLORED_KEY_3

  Colored key 3 key code.

  See Also:
    `VK_COLORED_KEY_0`, Constant Field Values

### VK_COLORED_KEY_4

    public static final int VK_COLORED_KEY_4

  Colored key 4 key code.

  See Also:
    `VK_COLORED_KEY_0`, Constant Field Values

### VK_COLORED_KEY_5

    public static final int VK_COLORED_KEY_5

  Colored key 5 key code.

  See Also:
    `VK_COLORED_KEY_0`, Constant Field Values

### VK_POWER

    public static final int VK_POWER

  The 'device power' key code turns on or off the delegated device.

  See Also:
    Constant Field Values

### VK_DIMMER

    public static final int VK_DIMMER

  The 'device dimmer' key code adjusts illumination of the device.

  This may be a toggle between two states, or a sequence through multiple states.

  See Also:
    Constant Field Values

### VK_WINK

    public static final int VK_WINK

  The 'device wink' key code is used to indicated that the device should identify itself in some manner, for example, audibly or visually.

  See Also:
    Constant Field Values

### VK_REWIND

    public static final int VK_REWIND

  The 'rewind (media)' key code.

  See Also:
    Constant Field Values

### VK_STOP

    public static final int VK_STOP

  The 'stop (media)' key code.

  See Also:
    Constant Field Values

### VK_EJECT_TOGGLE

    public static final int VK_EJECT_TOGGLE

  The 'eject / insert media' key code.

  See Also:
    Constant Field Values

### VK_PLAY

    public static final int VK_PLAY

  The 'play (media)' key code.

  See Also:
    Constant Field Values

### VK_RECORD

    public static final int VK_RECORD

  The 'record (to media)' key code.

  See Also:
    Constant Field Values

### VK_FAST_FWD

    public static final int VK_FAST_FWD

  The 'fast forward (media)' key code.

  See Also:
    Constant Field Values

### VK_PLAY_SPEED_UP

    public static final int VK_PLAY_SPEED_UP

  The 'increase (media) play speed' key code.

  See Also:
    Constant Field Values

### VK_PLAY_SPEED_DOWN

    public static final int VK_PLAY_SPEED_DOWN

  The 'decrease (media) play speed' key code.

  See Also:
    Constant Field Values

### VK_PLAY_SPEED_RESET

    public static final int VK_PLAY_SPEED_RESET

  The 'set (media) play speed to normal' key code.

  See Also:
    Constant Field Values

### VK_RECORD_SPEED_NEXT

    public static final int VK_RECORD_SPEED_NEXT

  The 'select next (media) record speed' key code.

  See Also:
    Constant Field Values

### VK_GO_TO_START

    public static final int VK_GO_TO_START

  The 'go (send media) to start position' key code.

  See Also:
    Constant Field Values

### VK_GO_TO_END

    public static final int VK_GO_TO_END

  The '(send media) to end position' key code.

  See Also:
    Constant Field Values

### VK_TRACK_PREV

    public static final int VK_TRACK_PREV

  The '(send media) to previous track' key code.

  See Also:
    Constant Field Values

### VK_TRACK_NEXT

    public static final int VK_TRACK_NEXT

  The '(send media) to next track' key code.

  See Also:
    Constant Field Values

### VK_RANDOM_TOGGLE

    public static final int VK_RANDOM_TOGGLE

  The 'toggle random (media) play' key code.

  See Also:
    Constant Field Values

### VK_CHANNEL_UP

    public static final int VK_CHANNEL_UP

  The 'channel up' key code.

  See Also:
    Constant Field Values

### VK_CHANNEL_DOWN

    public static final int VK_CHANNEL_DOWN

  The 'channel down' key code.

  See Also:
    Constant Field Values

### VK_STORE_FAVORITE_0

    public static final int VK_STORE_FAVORITE_0

  The 'store current setting as favorite 0' key code.

  See Also:
    Constant Field Values

### VK_STORE_FAVORITE_1

    public static final int VK_STORE_FAVORITE_1

  The 'store current setting as favorite 1' key code.

  See Also:
    Constant Field Values

### VK_STORE_FAVORITE_2

    public static final int VK_STORE_FAVORITE_2

  The 'store current setting as favorite 2' key code.

  See Also:
    Constant Field Values

### VK_STORE_FAVORITE_3

    public static final int VK_STORE_FAVORITE_3

  The 'store current setting as favorite 3' key code.

  See Also:
    Constant Field Values

### VK_RECALL_FAVORITE_0

    public static final int VK_RECALL_FAVORITE_0

  The 'recall favorite 0' key code.

  See Also:
    Constant Field Values

### VK_RECALL_FAVORITE_1

    public static final int VK_RECALL_FAVORITE_1

  The 'recall favorite 1' key code.

  See Also:
    Constant Field Values

### VK_RECALL_FAVORITE_2

    public static final int VK_RECALL_FAVORITE_2

  The 'recall favorite 2' key code.

  See Also:
    Constant Field Values

### VK_RECALL_FAVORITE_3

    public static final int VK_RECALL_FAVORITE_3

  The 'recall favorite 3' key code.

  See Also:
    Constant Field Values

### VK_CLEAR_FAVORITE_0

    public static final int VK_CLEAR_FAVORITE_0

  The 'clear favorite 0' key code.

  See Also:
    Constant Field Values

### VK_CLEAR_FAVORITE_1

    public static final int VK_CLEAR_FAVORITE_1

  The 'clear favorite 1' key code.

  See Also:
    Constant Field Values

### VK_CLEAR_FAVORITE_2

    public static final int VK_CLEAR_FAVORITE_2

  The 'clear favorite 2' key code.

  See Also:
    Constant Field Values

### VK_CLEAR_FAVORITE_3

    public static final int VK_CLEAR_FAVORITE_3

  The 'clear favorite 3' key code.

  See Also:
    Constant Field Values

### VK_SCAN_CHANNELS_TOGGLE

    public static final int VK_SCAN_CHANNELS_TOGGLE

  The 'scan channels toggle' key code - turns channel scanning on or off.

  See Also:
    Constant Field Values

### VK_PINP_TOGGLE

    public static final int VK_PINP_TOGGLE

  The 'picture in picture toggle' key code - turns picture in picture mode on or off.

  See Also:
    Constant Field Values

### VK_SPLIT_SCREEN_TOGGLE

    public static final int VK_SPLIT_SCREEN_TOGGLE

  The 'split screen toggle' key code - turns split screen on or off.

  See Also:
    Constant Field Values

### VK_DISPLAY_SWAP

    public static final int VK_DISPLAY_SWAP

  The 'display swap' key code - swaps displayed video sources.

  See Also:
    Constant Field Values

### VK_SCREEN_MODE_NEXT

    public static final int VK_SCREEN_MODE_NEXT

  The 'screen mode next' key code - advances the display screen mode.

  See Also:
    Constant Field Values

### VK_VIDEO_MODE_NEXT

    public static final int VK_VIDEO_MODE_NEXT

  The 'video mode next' key code - advances the display video mode.

  See Also:
    Constant Field Values

### VK_VOLUME_UP

    public static final int VK_VOLUME_UP

  The 'volume up' key code - increases audio amplifier volume.

  See Also:
    Constant Field Values

### VK_VOLUME_DOWN

    public static final int VK_VOLUME_DOWN

  The 'volume down' key code - decreases audio amplifier volume.

  See Also:
    Constant Field Values

### VK_MUTE

    public static final int VK_MUTE

  The 'mute' key code - mute audio output

  See Also:
    Constant Field Values

### VK_SURROUND_MODE_NEXT

    public static final int VK_SURROUND_MODE_NEXT

  The 'surround mode next' key code - advances audio amplifier surround mode.

  See Also:
    Constant Field Values

### VK_BALANCE_RIGHT

    public static final int VK_BALANCE_RIGHT

  The 'balance right' key code - moves the audio balance to the right.

  See Also:
    Constant Field Values

### VK_BALANCE_LEFT

    public static final int VK_BALANCE_LEFT

  The 'balance left' key code - moves the audio balance to the left.

  See Also:
    Constant Field Values

### VK_FADER_FRONT

    public static final int VK_FADER_FRONT

  The 'fader front' key code - moves the audio fader to the front.

  See Also:
    Constant Field Values

### VK_FADER_REAR

    public static final int VK_FADER_REAR

  The 'fader rear' key code - moves the audio fader to the rear.

  See Also:
    Constant Field Values

### VK_BASS_BOOST_UP

    public static final int VK_BASS_BOOST_UP

  The 'bass boost up' key code - increases the audio amplifier bass boost.

  See Also:
    Constant Field Values

### VK_BASS_BOOST_DOWN

    public static final int VK_BASS_BOOST_DOWN

  The 'bass boost down' key code - decreases the audio amplifier bass boost.

  See Also:
    Constant Field Values

### VK_INFO

    public static final int VK_INFO

  The 'info' key code - indicates that the user has requested additional information (toggle).

  See Also:
    Constant Field Values

### VK_GUIDE

    public static final int VK_GUIDE

  The 'guide' key code - indicates a user request for a program guide (toggle).

  See Also:
    Constant Field Values

### VK_TELETEXT

    public static final int VK_TELETEXT

  The 'teletext' key code - indicates a user request for a teletext service (toggle).

  See Also:
    Constant Field Values

### VK_SUBTITLE

    public static final int VK_SUBTITLE

  The 'subtitle' key code - indicates a user request for subtitling (toggle).

  See Also:
    Constant Field Values

### RC_LAST

    public static final int RC_LAST

  Deprecated.
  Marks the last integer id for the range of remote control key codes.

  See Also:
    Constant Field Values

Constructor Detail

### HRcEvent

    public HRcEvent(Component source,
                    int id,
                    long when,
                    int modifiers,
                    int keyCode,
                    char keyChar)

  Constructs an `HRcEvent` object with the specified source component, type, modifiers and key.

  Parameters:
    `source` - the object where the event originated.
    `id` - the identifier in the range `KEY_FIRST` to `KEY_LAST`.
    `when` - the time stamp for this event.
    `modifiers` - indication of any modification keys that are active for this event.
    `keyCode` - the code of the key associated with this event.
    `keyChar` - the character representation of the key associated with this event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD